Get a collection

Deprecated
View as Markdown
Gets a collection attached to an API. You can use the `versionId` query parameter to get a collection published in a version. **Note:** - You cannot use this endpoint to get a Git-linked API collection. Collections in a Git-linked API are stored in the linked Git repository, not in the Postman cloud. This endpoint only has access to Postman servers. - You can get a collection published in an API version with the `versionId` query parameter. - The `versionId` query parameter is a required parameter for API viewers.

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

apiIdstringRequired
The API's ID.
collectionIdstringRequiredformat: "uid"
The collection's unique ID.

Headers

AcceptenumRequired

The application/vnd.api.v10+json request header required to use the endpoint.

Allowed values:

Query parameters

versionIdstringOptional
The API's version ID. This is a required parameter for API viewers.

Response

Successful Response
itemlist of maps from strings to any
A list of the collection's contents.
infoobject
Information about the collection.
authmap from strings to any

The collection’s auth information. For a complete list of values, refer to the Auth entry in the Postman Collection Format documentation.

variablelist of maps from strings to any
A list of the collection's variables.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error